Skip to content

Generate and save an email summary

POST
/emails/{id}/summarize

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required

Responses

OK

application/json
JSON
{
  
"summary": "string",
  
"email": {
  
  
"_id": "string",
  
  
"message_id": "string",
  
  
"references": [
  
  
  
"string"
  
  
],
  
  
"in_reply_to": "string",
  
  
"thread_identifiers": [
  
  
  
"string"
  
  
],
  
  
"thread_source_ids": [
  
  
  
"string"
  
  
],
  
  
"from": [
  
  
  
"string"
  
  
],
  
  
"to": [
  
  
  
"string"
  
  
],
  
  
"cc": [
  
  
  
"string"
  
  
],
  
  
"bcc": [
  
  
  
"string"
  
  
],
  
  
"subject": "string",
  
  
"text_content": "string",
  
  
"html_content": "string",
  
  
"html_content_has_remote_images": true,
  
  
"attachment_text_content": "string",
  
  
"source": "string",
  
  
"mailbox": "string",
  
  
"labels": [
  
  
  
"string"
  
  
],
  
  
"triaged": true,
  
  
"triaged_at": "string",
  
  
"triage_summary": "string",
  
  
"triage_reason": "string",
  
  
"triage_primary_action": "string",
  
  
"triage_confidence": 0,
  
  
"triage_action_points": [
  
  
  
{
  
  
  
  
"text": "string",
  
  
  
  
"type": "string",
  
  
  
  
"due_at": "string"
  
  
  
}
  
  
],
  
  
"triage_related_context": [
  
  
  
{
  
  
  
  
"item_id": "string",
  
  
  
  
"item_type": "string",
  
  
  
  
"title": "string",
  
  
  
  
"reason": "string"
  
  
  
}
  
  
],
  
  
"triage_mailbox_action": "string",
  
  
"triage_status": "string",
  
  
"triage_error": "string",
  
  
"triage_run_id": "string",
  
  
"triage_draft_id": "string",
  
  
"project": "string",
  
  
"host_id": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI